// L-R circuit – current in an L-R circuit
// SCILAB source file: tyk23-4.sce
//
txt = ['Input resistance (R) in ohm';'Input inductance (L) in H';'Supply voltage in V';'Time in s'];
var = x_mdialog('Enter resistance, inductance, supply voltage and time',txt,['5';'10';'100';'1']);
r = evstr(var(1));
l = evstr(var(2));
vm = evstr(var(3));
t = evstr(var(4));
//
il = (vm/r)*(1 - %e^(-r*t/l));
// Display results
messagebox(["Current flowing = " + string(il) + " A"]);

